From ec2d2d2fdf97d1dc73d570e333eb85d7cf9c120f Mon Sep 17 00:00:00 2001
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date: Sun, 23 Oct 2022 13:20:35 +0200
Subject: [PATCH 3/3] src/Makefile: Fix sed expression (pam_python.so is
 spelled with underscore, not with dash).

Signed-off-by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
---
 src/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/Makefile b/src/Makefile
index 09cb981..c3d2061 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -44,7 +44,7 @@ test: pam_python.so ctest /etc/pam.d/test-pam_$(PYTHON).pam
 	./ctest $(PYTHON)
 
 test-pam_$(PYTHON)-installed.pam: test-pam_python.pam.in Makefile
-	sed "s,\\\$$PWD/pam-python.so,pam-python.so,;s,\\\$$PWD,$$(pwd),g" "$<" >"$@.tmp"
+	sed "s,\\\$$PWD/pam_python.so,pam_python.so,;s,\\\$$PWD,$$(pwd),g" "$<" >"$@.tmp"
 	mv $@.tmp $@
 
 /etc/pam.d/test-pam_$(PYTHON)-installed.pam: test-pam_$(PYTHON)-installed.pam
-- 
2.30.2

